package com.zsc.edu.gateway.framework.springEvent;

import com.zsc.edu.gateway.modules.iot.record.entity.RecordData;
import lombok.Getter;
import lombok.Setter;
import org.springframework.context.ApplicationEvent;

/**
 * @author zhuang
 */
@Getter
@Setter
public class TemperatureExceededEvent extends ApplicationEvent {
    private final RecordData recordData;
    private final double reducedParameter;
    private final String eventName;

    public TemperatureExceededEvent(Object source, RecordData recordData, double reducedParameter, String eventName) {
        super(source);
        this.recordData = recordData;
        this.reducedParameter = reducedParameter;
        this.eventName = eventName;
    }
}
