package com.zsc.edu.gateway.modules.iot.device.vo;

import lombok.Builder;
import lombok.Data;

/**
 * @author zhuang
 */
@Builder
@Data
public class DeviceStatusVo {
    /**
     * 设备总数
     */
    public Long deviceCount;

    /**
     * 属性总数
     */
    public Long propertyCount;

    /**
     * 服务总数
     */
    public Long serveCount;

    /**
     * 事件总数
     */
    public Long eventCount;

    /**
     * 在线数量
     */
    public Long onlineCount;

    /**
     * 离线数量
     */
    public Long offlineCount;

    /**
     * 停用数量
     */
    public Long disabledCount;

    /**
     * 直连设备
     */
    public Long directCount;

    /**
     * 网关设备
     */
    public Long gatewayCount;

    /**
     * 网关子设备
     */
    public Long gatewaySubCount;

}
