package com.zsc.edu.gateway.modules.iot.product.repo;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.zsc.edu.gateway.framework.mybatisplus.DataPermission;
import com.zsc.edu.gateway.modules.iot.product.entity.Product;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;


/**
 * @author Yao
 */
public interface ProductRepository extends BaseMapper<Product> {
    @Select("select * from iot_product where name=#{name}")
    Product findByName(@Param("name") String name);

    Product selectById(@Param("id") Long id);
}
