package com.zsc.edu.gateway.modules.iot.record.service;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zsc.edu.gateway.modules.iot.record.entity.DataWarningVo;
import com.zsc.edu.gateway.modules.iot.record.entity.RecordData;
import com.zsc.edu.gateway.modules.iot.record.entity.RecordDataStatusVo;

import java.util.List;

/**
 * @author zhuang
 */
public interface RecordDataService extends IService<RecordData> {

    RecordData recordData(String clientId, JSONObject data);

    RecordDataStatusVo recordDataStatus();

    DataWarningVo dataWarning();

    IPage<RecordData> query(Page<RecordData> page, String clientId);
}