package com.zsc.edu.gateway.modules.iot.tsl.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.zsc.edu.gateway.modules.iot.tsl.dto.ParamDto;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;
import java.util.Set;

/**
 * @author Yao
 * @desciption 物模型服务
 */
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
@TableName("iot_serve")
@JsonInclude
public class Serve extends BaseParam {

    private Long productId;

    /**
     * 服务输入/输出参数，根据param中的type区分
     */
    @TableField(exist = false)
    private List<Param> inputs;
    @TableField(exist = false)
    private List<Param> outputs;


}

