package com.zsc.edu.gateway.modules.system.repo;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.zsc.edu.gateway.modules.system.entity.Menu;
import com.zsc.edu.gateway.modules.system.vo.MenuVo;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @author yao
 */
public interface MenuRepository extends BaseMapper<Menu> {

    List<Menu> selectByRoleId(Long roleId);

    List<Menu> selectByUserId(Long userId, Menu.Type type);

    List<Menu> selectAll();
}

