create table iot_property
(
    id bigint not null
        constraint iot_property_pk
            primary key,
    product_id bigint,
    data_type  integer,
    io_type    integer,
    identifier varchar,
    name       varchar,
    remark     varchar
);

comment on table iot_property is '物模型属性';

comment on column iot_property.id is '主键';

comment on column iot_property.product_id is '产品ID';

comment on column iot_property.data_type is '数据类型';

comment on column iot_property.io_type is '读写类型';

comment on column iot_property.identifier is '标识';

comment on column iot_property.name is '名称';

comment on column iot_property.remark is '备注';

alter table iot_property
    owner to gitea;

