create table iot_record_data
(
    id          varchar not null
        constraint iot_record_data_pk
            primary key,
    client_id     varchar,
    attachment_id varchar,
    content     jsonb,
    record_time timestamp,
    dept_id     bigint,
    create_id   bigint
);

comment on table iot_record_data is '上报数据表';

comment on column iot_record_data.id is '主键';

comment on column iot_record_data.client_id is '委托人ID';

comment on column iot_record_data.attachment_id is '附件ID ';

comment on column iot_record_data.content is '内容';

comment on column iot_record_data.record_time is '记录时间';

comment
on column iot_record_data.dept_id is '所属部门id';

comment
on column iot_record_data.create_id is '创建者id';

alter table iot_record_data
    owner to gitea;

