create table iot_serve
(
    id bigint not null
        constraint iot_serve_pk
            primary key,
    product_id bigint,
    identifier varchar,
    name       varchar,
    remark  varchar,
    dept_id bigint
);

comment on table iot_serve is '物模型服务';

comment on column iot_serve.id is '主键';

comment on column iot_serve.product_id is '产品ID';

comment on column iot_serve.identifier is '标识';

comment on column iot_serve.name is '名称';

comment on column iot_serve.remark is '备注';

comment on column iot_serve.dept_id is '部门权限id';

alter table iot_serve
    owner to gitea;

